#### Useful macros
# Attempt to avoid disaster
%define clean_build_root if test -O "%{buildroot}" -a "%{buildroot}" != "/" -a "%{buildroot}" != "$HOME"; then %{__rm} -rf %{buildroot}; fi
# To delete directory where compilation takes place
%define clean_build_dir %{__rm} -rf %{buildsubdir}
%define python_site %(python -c "import sys ; print '%s/lib/python%s' % (sys.exec_prefix,sys.version[:3])")
%define python_version %(python -c "import sys ; print sys.version[:3]")

#### Header variables
%define name pyFind
%define version 0.10.2
%define release 1.python%{python_version}
%define serial 1

#### Header
Summary: pyFind - A simple Find File utilty for Gnome
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: Applications/File Tools
Vendor: Andy Balcombe (kinematics@ntlworld.com)
#Packager: %packager
Url: homepage.ntlworld.com/kinematics/pyfind
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
Requires: python, pygtk, pygnome, libglade
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#### Description
%description
pyFind is a simple Find File utility for GNOME. It is written in Python, using pyGnome and libGlade.

#### Prep
%prep
%setup -q

#### Build
%build
# Nothing to do

#### Install
%install
%clean_build_root
make DESTDIR=${RPM_BUILD_ROOT} install

#### Clean
%clean
%clean_build_root
%clean_build_dir

#### Post
# Nothing to do

#### Files
%files
%defattr(-, root, root)
%doc doc/*
%{_bindir}/*
#%{_sysconfdir}/gnome/config/%{name}/*
%{_datadir}/%{name}/*
%{python_site}/site-packages/%{name}/*
#%{_datadir}/gnome/apps/Utilities/pyfind.desktop ./pyfind.desktop 
%{_datadir}/locale/*
%{_datadir}/pixmaps/pyfind_icon.png

#### Changelog
%changelog

* Thu Dec 15 2001 Andy Balcombe (kinematics@ntlworld.com)
- Made independent from Python version

* Tue Apr 17 2001 Andy Balcombe (kinematics@ntlworld.com)
- Fixed spec file - it works!

* Mon Mar 19 2001 Andy Balcombe (kinematics@ntlworld.com)
- First incarnation

